Bug 149598 - NetworkManager doesn't notice wireless went away.
NetworkManager doesn't notice wireless went away.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 07:35 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 15:14:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-02-24 07:35:26 EST
On leaving the range of the AP, NetworkManager still claimed to be
connected to the network, and reported about 50% signal quality.

The card is a prism54, iwconfig looked like this:
eth1      IEEE 802.11b/g  Mode:Managed  Frequency:2.457 GHz
          Access Point: 00:00:00:00:00:00   Bit Rate:0 kb/s  
Tx-Power=31 dBm
          Sensitivity=20/200
          Retry min limit:8   RTS thr:off   Fragment thr:off
          Link Quality:238  Signal level:0  Noise level:242
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

I first tried using NetworkManagerInfo to switch back to the network
it thought I was already on, but that had no effect. Then I removed
the card. That seemed to kill NetworkManager, although I don't recall
that happening before. Perhaps it's because it was looking for an
access point while the card was removed?

Feb 24 11:18:47 shinybook NetworkManager: FORCE: device
'/org/freedesktop/NetworkManager/Devices/eth1', network 'Baythorne
Wavelan'
Feb 24 11:18:47 shinybook NetworkManager:     SWITCH: need to
associate with new access point or create a wireless network.
Feb 24 11:18:47 shinybook NetworkManager: Activation (eth1) started...
Feb 24 11:18:48 shinybook NetworkManager: Activation (eth1/wireless):
access point 'Baythorne Wavelan' is encrypted, and a key exists.  No
new key needed.
Feb 24 11:18:53 shinybook NetworkManager: Activation (eth1/wireless):
using essid 'Baythorne Wavelan', with Shared Key authentication.
Feb 24 11:19:00 shinybook NetworkManager: Activation (eth1/wireless):
waiting for an access point.
Feb 24 11:19:08 shinybook NetworkManager: nm_device_set_essid(): error
setting ESSID '' for device eth1.  errno = 19
Feb 24 11:19:08 shinybook NetworkManager: nm_device_set_enc_key():
error setting key for device eth1.  errno = 19
Feb 24 11:19:08 shinybook NetworkManager: nm_device_get_mode (eth1):
error setting card to Infrastructure mode.  errno = 19
Feb 24 11:19:08 shinybook NetworkManager: nm_device_set_mode (eth1):
error setting card to Infrastructure mode.  errno = 19
Comment 1 Dan Williams 2005-05-16 16:28:50 EDT
This still happen?  It shouldn't...
Comment 2 John Thacker 2007-01-13 15:14:20 EST
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.